Returns the value at the specified $index

- « SplDoublyLinkedList::offsetExists

- SplDoublyLinkedList::offsetSet »

- PHP Manual
- SplDoublyLinkedList
- Returns the value at the specified $index

# SplDoublyLinkedList::offsetGet

(PHP 5 >= 5.3.0, PHP 7, PHP 8)

SplDoublyLinkedList::offsetGet — Returns the value at the specified $index

### Description

public SplDoublyLinkedList::offsetGet(int `$index`): mixed

### Parameters

`index`

  The index with the value.

### Return Values

The value at the specified `index`.

### Errors/Exceptions

Throws OutOfRangeException when `index` is out of bounds or when `index` cannot be parsed as an integer.